---
title: "Get request log"
url: "https://docs.signnow.com/docs/api-logs/operations/get-request-logs-request-id"
type: "endpoint"
section: "api-logs"
slug: "api-logs/operations/get-request-logs-request-id"
method: "GET"
path: "/request-logs/{request_id}"
operation_id: "get-request-logs-request-id"
authorization: "bearer"
---

# Get request log

`GET /request-logs/{request_id}`

This endpoint allows API users to retrieve the log of a specific request made by an active application.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `request_id` | string | Yes | Can be retrieved from `GET /request-logs` request. |

## Responses

### 200

Successful response. Returns the request log.

**Example** (`Successful response`)

```json
{
  "data": {
    "error": false,
    "created": 1790686076.865,
    "request": {
      "ip": "104.30.XX.XX",
      "uri": "/oauth2/token",
      "body": "{\"grant_type\":\"password\",\"password\":\"*****\",\"scope\":\"*\",\"username\":\"*****\"}",
      "host": "api.signnow.com",
      "query": "{}",
      "method": "POST",
      "source": "PostmanRuntime/2.8.0",
      "headers": "{\"authorization\":\"*****\",\"user-agent\":\"PostmanRuntime/2.8.0\"}"
    },
    "user_id": "",
    "response": {
      "body": "{\"access_token\":\"*****\",\"expires_in\":2592000,\"last_login\":1,\"refresh_token\":\"*****\",\"scope\":\"*\",\"token_type\":\"bearer\"}",
      "code": 200,
      "time": "0.563",
      "headers": "{\"access-control-allow-headers\":\"Authorization\",\"access-control-allow-origin\":\"*\",\"cache-control\":\"no-cache, private\",\"connection\":\"close\",\"content-type\":\"application/json; charset=utf-8\",\"strict-transport-security\":\"max-age=31536000; includeSubDomains\",\"transfer-encoding\":\"chunked\",\"x-burst-limit\":\"100\",\"x-burst-remaining\":\"99\",\"x-envoy-upstream-service-time\":\"561\",\"x-frame-options\":\"SAMEORIGIN\",\"x-request-id\":\"dc741f66a300eb62b6549713fd55fe42\"}"
    },
    "request_id": "dc741f66a300eb62b6549713fd55fe42",
    "api_version": "legacy",
    "application_id": "19afd279a79e69c83f5e7e7276dc081fd3188ef1",
    "application_name": "HubSpot_app",
    "application_owner_email": "user1@example.com"
  }
}
```

### 400

Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

The user doesn't have an active API subscription.

**Example** (`No active subscription`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "User does not have active subscription"
    }
  ]
}
```

### 404

The request log doesn't exist or belongs to another user.

**Example** (`Request log not found`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "Request log with ID `5bf2c0f49210ca7a850cf15cd0f66185` not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/request-logs/{request_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/api-logs/operations/get-request-logs-request-id*
